Package org.gitana.platform.client.application

# Interface Registration

All Superinterfaces:
  `ApplicationDocument`, `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `RegistrationImpl`

public interface Registration extends ApplicationDocument, Selfable
A registration object is intended for us in registering a new user to a web site. You can either: 1) create a registration object with all of the details of the user 2) complete the registration (sending a welcome email) Or: 1) create a registration object with the email and optional additional details 2) send a confirmation email 3) populate the object with additional details 3) complete the registration (sending a welcome email)

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_ACTIVE`
`static final String`
`FIELD_ADDONS`
`static final String`
`FIELD_COMPLETED`
`static final String`
`FIELD_COMPLETED_PRINCIPAL_ID`
`static final String`
`FIELD_COMPLETED_TENANT_ID`
`static final String`
`FIELD_CONFIRMATION_SENT`
`static final String`
`FIELD_DISCOUNTS`
`static final String`
`FIELD_EMAIL_PROVIDER_ID`
`static final String`
`FIELD_EMAILS`
`static final String`
`FIELD_PAYMENT_METHOD_ID`
`static final String`
`FIELD_SIGNUP_PROPERTIES`
`static final String`
`FIELD_TENANT_DESCRIPTION`
`static final String`
`FIELD_TENANT_PLAN_KEY`
`static final String`
`FIELD_TENANT_REGISTRAR_ID`
`static final String`
`FIELD_TENANT_TITLE`
`static final String`
`FIELD_USER_DOMAIN_ID`
`static final String`
`FIELD_USER_EMAIL`
`static final String`
`FIELD_USER_NAME`
`static final String`
`FIELD_USER_PROPERTIES`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`confirm(String newUserPassword)`
`void`
`confirm(String newUserPassword, com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)`
`boolean`
`getActive()`
`List<String>`
`getAddons()`
`boolean`
`getCompleted()`
`String`
`getCompletedPrincipalId()`
`String`
`getCompletedTenantId()`
`boolean`
`getConfirmationSent()`
`List<String>`
`getDiscounts()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getEmailConfiguration(String emailKey)`
`String`
`getEmailProviderId()`
`String`
`getPaymentMethodId()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getSignupProperties()`
`String`
`getTenantDescription()`
`String`
`getTenantPlanKey()`
`String`
`getTenantRegistrarId()`
`String`
`getTenantTitle()`
`String`
`getUserDomainId()`
`String`
`getUserEmail()`
`String`
`getUserName()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getUserProperties()`
`void`
`sendConfirmationEmail()`
`void`
`sendWelcomeEmail()`
`void`
`setActive(boolean active)`
`void`
`setAddons(List<String> addons)`
`void`
`setCompleted(boolean completed)`
`void`
`setCompletedPrincipalId(String completedPrincipalId)`
`void`
`setCompletedTenantId(String completedTenantId)`
`void`
`setConfirmationSent(boolean confirmationSent)`
`void`
`setDiscounts(List<String> discounts)`
`void`
`setEmailConfiguration(String emailKey, com.fasterxml.jackson.databind.node.ObjectNode email)`
`void`
`setEmailProviderId(String emailProviderId)`
`void`
`setPaymentMethodId(String paymentMethodId)`
`void`
`setSignupProperties(com.fasterxml.jackson.databind.node.ObjectNode signupProperties)`
`void`
`setTenantDescription(String description)`
`void`
`setTenantPlanKey(String planKey)`
`void`
`setTenantRegistrarId(String tenantRegistrarId)`
`void`
`setTenantTitle(String title)`
`void`
`setUserDomainId(String userDomainId)`
`void`
`setUserEmail(String userEmail)`
`void`
`setUserName(String userName)`
`void`
`setUserProperties(com.fasterxml.jackson.databind.node.ObjectNode userProperties)`

### Methods inherited from interface org.gitana.platform.client.application.ApplicationDocument

`getApplication, getApplicationId`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_USER_EMAIL

static final String FIELD_USER_EMAIL

See Also:
  - Constant Field Values

### FIELD_USER_NAME

static final String FIELD_USER_NAME

See Also:
  - Constant Field Values

### FIELD_USER_DOMAIN_ID

static final String FIELD_USER_DOMAIN_ID

See Also:
  - Constant Field Values

### FIELD_USER_PROPERTIES

static final String FIELD_USER_PROPERTIES

See Also:
  - Constant Field Values

### FIELD_SIGNUP_PROPERTIES

static final String FIELD_SIGNUP_PROPERTIES

See Also:
  - Constant Field Values

### FIELD_TENANT_TITLE

static final String FIELD_TENANT_TITLE

See Also:
  - Constant Field Values

### FIELD_TENANT_DESCRIPTION

static final String FIELD_TENANT_DESCRIPTION

See Also:
  - Constant Field Values

### FIELD_TENANT_PLAN_KEY

static final String FIELD_TENANT_PLAN_KEY

See Also:
  - Constant Field Values

### FIELD_TENANT_REGISTRAR_ID

static final String FIELD_TENANT_REGISTRAR_ID

See Also:
  - Constant Field Values

### FIELD_PAYMENT_METHOD_ID

static final String FIELD_PAYMENT_METHOD_ID

See Also:
  - Constant Field Values

### FIELD_CONFIRMATION_SENT

static final String FIELD_CONFIRMATION_SENT

See Also:
  - Constant Field Values

### FIELD_COMPLETED

static final String FIELD_COMPLETED

See Also:
  - Constant Field Values

### FIELD_COMPLETED_PRINCIPAL_ID

static final String FIELD_COMPLETED_PRINCIPAL_ID

See Also:
  - Constant Field Values

### FIELD_COMPLETED_TENANT_ID

static final String FIELD_COMPLETED_TENANT_ID

See Also:
  - Constant Field Values

### FIELD_EMAIL_PROVIDER_ID

static final String FIELD_EMAIL_PROVIDER_ID

See Also:
  - Constant Field Values

### FIELD_EMAILS

static final String FIELD_EMAILS

See Also:
  - Constant Field Values

### FIELD_DISCOUNTS

static final String FIELD_DISCOUNTS

See Also:
  - Constant Field Values

### FIELD_ADDONS

static final String FIELD_ADDONS

See Also:
  - Constant Field Values

### FIELD_ACTIVE

static final String FIELD_ACTIVE

See Also:
  - Constant Field Values

## Method Details

### setUserEmail

void setUserEmail(String userEmail)

### getUserEmail

String getUserEmail()

### setUserName

void setUserName(String userName)

### getUserName

String getUserName()

### setUserDomainId

void setUserDomainId(String userDomainId)

### getUserDomainId

String getUserDomainId()

### getUserProperties

com.fasterxml.jackson.databind.node.ObjectNode getUserProperties()

### setUserProperties

void setUserProperties(com.fasterxml.jackson.databind.node.ObjectNode userProperties)

### getSignupProperties

com.fasterxml.jackson.databind.node.ObjectNode getSignupProperties()

### setSignupProperties

void setSignupProperties(com.fasterxml.jackson.databind.node.ObjectNode signupProperties)

### setTenantTitle

void setTenantTitle(String title)

### getTenantTitle

String getTenantTitle()

### setTenantDescription

void setTenantDescription(String description)

### getTenantDescription

String getTenantDescription()

### setTenantPlanKey

void setTenantPlanKey(String planKey)

### getTenantPlanKey

String getTenantPlanKey()

### setTenantRegistrarId

void setTenantRegistrarId(String tenantRegistrarId)

### getTenantRegistrarId

String getTenantRegistrarId()

### setConfirmationSent

void setConfirmationSent(boolean confirmationSent)

### getConfirmationSent

boolean getConfirmationSent()

### setCompleted

void setCompleted(boolean completed)

### getCompleted

boolean getCompleted()

### getCompletedPrincipalId

String getCompletedPrincipalId()

### setCompletedPrincipalId

void setCompletedPrincipalId(String completedPrincipalId)

### getCompletedTenantId

String getCompletedTenantId()

### setCompletedTenantId

void setCompletedTenantId(String completedTenantId)

### getEmailConfiguration

com.fasterxml.jackson.databind.node.ObjectNode getEmailConfiguration(String emailKey)

### setEmailConfiguration

void setEmailConfiguration(String emailKey, com.fasterxml.jackson.databind.node.ObjectNode email)

### getEmailProviderId

String getEmailProviderId()

### setEmailProviderId

void setEmailProviderId(String emailProviderId)

### getPaymentMethodId

String getPaymentMethodId()

### setPaymentMethodId

void setPaymentMethodId(String paymentMethodId)

### sendConfirmationEmail

void sendConfirmationEmail()

### sendWelcomeEmail

void sendWelcomeEmail()

### confirm

void confirm(String newUserPassword)

### confirm

void confirm(String newUserPassword, com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)

### getDiscounts

List<String> getDiscounts()

### setDiscounts

void setDiscounts(List<String> discounts)

### getAddons

List<String> getAddons()

### setAddons

void setAddons(List<String> addons)

### getActive

boolean getActive()

### setActive

void setActive(boolean active)